# Generated by Django 4.2 on 2024-08-28 16:30

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0053_geocontext_country_code_geocontext_zoom_level'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='geocontext',
            name='intro_text_markdown',
        ),
        migrations.CreateModel(
            name='GeoContextIntroText',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField(blank=True, default='')),
                ('geo_context', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='intro_texts', to='main.geocontext')),
                ('language', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='intro_texts', to='main.language')),
            ],
        ),
    ]
